function [ K_t ] = K( X,X_star, GP)
%K calculates covariance matrix K(x,x)
  % for certain kernels use vectorization
  if strcmp(GP.covariance.type_c,'k_SE_vectorized')
      K_t = GP.covariance.kernel_t.k_func(X,X_star,GP.covariance.kernel_t.parameters_t);
  else
      N = numel(X(:,1));
      M = numel(X_star(:,1));
      K_t = zeros(N,M);
      for n=1:1:N
          for m=1:1:M
              K_t(n,m) = GP.covariance.kernel_t.k_func(X(n,:)',X_star(m,:)',...
                  GP.covariance.kernel_t.parameters_t);
          end
      end
  end
end
