function [ mu,sigma, K_cond ] = posterior( X,X_star,y, GP )
%POSTERIOR calculate posterior

%% create covariances
K_XX = K( X,X, GP);
K_XX = K_XX + eye(size(K_XX)).* 0.0001; % for numerics
K_XX_inv = inv(K_XX);
K_XSX = K( X_star,X, GP);
K_XXS = K_XSX';
K_XSXS = K( X_star,X_star, GP);
K_cond = K_XSXS - K_XSX*K_XX_inv*K_XXS;

mu   = K_XSX*K_XX_inv*(y - GP.mean.mean_t.m_func(X,...
    GP.mean.mean_t.parameters_t)) + ...
    GP.mean.mean_t.m_func(X_star,GP.mean.mean_t.parameters_t);

sigma = sqrt(diag(K_cond));

end
