function [ x_opt, y_opt ] = kimOpt( optimization_problem,f,x0 )
    options = optimoptions(@fmincon,'Display', 'off');

    x_next_local_history = [];
    alpha_next_local_history = [];

    % matlab does not provide ifdef like behavior
    global N_total;
    if N_total == 1
        for nn = 1:1:optimization_problem.algorithm_parameters_t.N_opt_restarts_i
            try
                [x_next_local,y_next_local] = fmincon(f,...
                    x0(nn,:),...
                    [],[],[],[],zeros(optimization_problem.dim_i,1),...
                    ones(optimization_problem.dim_i,1),[],options);
                x_next_local_history(nn,:) = x_next_local;
                y_next_local_history(nn,:) = y_next_local;
            end
        end
    else
       % if you have parallel computing toolbox:
        %parfor nn = 1:1:optimization_problem.algorithm_parameters_t.N_opt_restarts_i
       for nn = 1:1:optimization_problem.algorithm_parameters_t.N_opt_restarts_i
           try
            [x_next_local,y_next_local] = fmincon(f,...
                x0(nn,:),...
                [],[],[],[],zeros(optimization_problem.dim_i,1),...
                ones(optimization_problem.dim_i,1),[],options);
            x_next_local_history(nn,:) = x_next_local;
            y_next_local_history(nn,:) = y_next_local;
           end
       end
    end
    [y_opt,y_opt_ID] = min(y_next_local_history);
    x_opt = x_next_local_history(y_opt_ID(1),:);

end
