function [ GP, optimization_process_information ] = lengthscaleControllerAlpha( GP, optimization_problem, optimization_process_information,x0 )

l_old = GP.covariance.kernel_t.parameters_t.l_f;

%% adapt current lengthscale to hypothesis
N = size(optimization_problem.X_t,1);
l_new = max( lowerBound( optimization_problem.algorithm_parameters_t.c_min,optimization_problem.dim_i, N), l_old/2);
GP.covariance.kernel_t.parameters_t.l_f = l_new;

%% calculate potential change in alpha heuristic
f = createPolicyFcnHandle(GP, optimization_problem);
[x_next, alpha_hypothesis] = kimOpt(optimization_problem,f,x0);

alpha_quot = alpha_hypothesis/optimization_process_information.alpha_history(end);
if alpha_quot > optimization_problem.algorithm_parameters_t.alpha_hypothesis_threshold_f
    disp(['UPDATE LENGTHSCALE!! : Based on alpha, quotient=',...
    num2str(alpha_quot),...
    ' l_new=', num2str(GP.covariance.kernel_t.parameters_t.l_f)]);
    optimization_process_information.alpha_request_history(end+1) = 1;
else
    GP.covariance.kernel_t.parameters_t.l_f = l_old;
    optimization_process_information.alpha_request_history(end+1) = 0;
end

optimization_process_information.alpha_pred_history(end+1) = alpha_hypothesis;
optimization_process_information.alpha_quotient(end+1) = min(alpha_quot,999);

end
