function [ local_min_regions_out_t ] = orderMinimaRegions( local_min_regions_t )
    local_min_regions_out_t = local_min_regions_t;
    local_min_regions_out_t.nSegments = 0;

    if local_min_regions_t.nSegments == 0
        return
    end

    % order segments w.r.t. objective
    objective_list = zeros(local_min_regions_t.nSegments,1);
    for n = 1:1:local_min_regions_t.nSegments
        objective_list(n) = local_min_regions_t.segments_t(n).objective;
    end
    [temp,segments_order_ID] = sort(objective_list);

    % fill space with non overlapping regions
    local_min_regions_out_t.nSegments = 1;
    local_min_regions_out_t.segments_t(1) = ...
        local_min_regions_t.segments_t(segments_order_ID(1));

    for n=2:1:local_min_regions_t.nSegments
        empty_intersection = 1;
        % check if candidate overlaps with any already placed candidate:
        for n_test = 1:1:local_min_regions_out_t.nSegments
            center_distance = norm(...
                local_min_regions_out_t.segments_t(n_test).center - ...
                local_min_regions_t.segments_t(segments_order_ID(n)).center);
            radius_1 = local_min_regions_out_t.segments_t(n_test).parameters(1);
            radius_2 = local_min_regions_t.segments_t...
                (segments_order_ID(n)).parameters(1);

            if center_distance <= radius_1 + radius_2
                empty_intersection = 0;
                break;
            end
        end
        if empty_intersection == 1
            local_min_regions_out_t.nSegments = ...
                local_min_regions_out_t.nSegments + 1;
            local_min_regions_out_t.segments_t(local_min_regions_out_t.nSegments)...
                = local_min_regions_t.segments_t(segments_order_ID(n));
        end
    end
end
