function plotRegression( X_t,y_t,beta_t )

assert( numel(X_t(1,:))<=2 ); % we only plot 1D or 2D!

%% 1D
if numel(X_t(1,:)) == 1
    X_grid = linspace(min(X_t),max(X_t),500)';
    [ mu ] = quadPred( X_grid ,beta_t);
    scatter(X_t,y_t,'r');
    hold on;
    plot(X_grid,mu,'b');
end

%% 2D
if numel(X_t(1,:)) == 2
    [X_grid,Y_grid] = meshgrid(linspace(min(X_t(:,1)),max(X_t(:,1)),20),...
        linspace(min(X_t(:,2)),max(X_t(:,2)),20));
    [ Z_grid ] = quadPred( [X_grid(:),Y_grid(:)] ,beta_t);
    Z_grid = reshape(Z_grid,size(X_grid));
    scatter3(X_t(:,1),X_t(:,2),y_t,'r');
    hold on;
    surf(X_grid,Y_grid,Z_grid);
end

end
